Subject: bug#506: libvirt-daemon-system should not depend on policykit-1

From: "Thierry B." <[email-masked]>
Date: Sat, 15 Aug 2020 15:49:54 +0200

Le 15/08/2020 à 12:04, Mark Hindley a écrit :

> 
> I have had a quick look and these issues struck me as needing attention:
> 
> d/control:
> 
>  - Set yourself as maintainer.
>  - Remove uploaders (or replace with Andreas Messer?)> 
> You may have seen that Andreas Messer also offered to help.  So you may want to
> do this jointly? The d/control Maintainer field can only take a single email address, but
> other addresses can be added to Uploaders.

Not commited yet.
Please explain the difference between Maintainer and Uploader.
I do not want to set myself as the maintainer as i'm not even able to
handle the whole build process on my computer and test the new deb on my
computer. I am still stucked at the build error and the build-dependency
problem. I am puzzled with your sentence:

> One of the nice things about gbp is you don't have to worrk about build-deps --
> it handles that for you cleanly in the build chroot without messing with the
> host system.

I would like to solve this problem.

>  - Remove the libvirt-daemon-system-systemd package. It will always be broken in Devuan.
>  - Update the libvirt-daemon-system-sysv description to remove the systemd as default/preferred reference.

commited.

But is the removing of 'libvirt-daemon-system-systemd' sufficient to
prevent building the package?

> 
> d/changelog:
> 
>  - Add '(Closes: #506)' so the bug will be automatically closed when the package
>    enters the archive.
>  - Maybe add a 'Fork for Devuan' entry to cover other changes?

Commited

> 
> Other than that, it builds and is reasonably lintian clean. It will be worth
> checking with lintian again after you have made these new changes.

I don't know how to do that. And I guess I have to do a successfully
local build before.

> 
> Let me know how you get on. #devuan-dev on irc.freenode.net is a good place to
> get quick help.
> 
> Thanks
> 
> Mark (LeePen)
> 

Connected

THBO (thierrybo)